Subject: [TOOLS-DEVELOPMENT] Datatracker improvement requests from IRTF

From: Alexey Melnikov <[email-masked]>
Date: Mon, 09 Apr 2018 13:38:21 +0100

Dear tools team,
I am forwarding datatracker improvement requests from IRTF.

> 1. Need to be able to do a datatracker search by IRTF state - currently
> these are not available terms in the  advanced search State pulldown
> 
> 2. Rationalize the datatracker view when one searches "irtf" - some of
> the documents are labeled "IRTF RFC Stream," others "Active RG Document"
> - these aren't  useful as is (see attached PNG)...
> 
> 3. Datatracker view when one searches "irtf" or looks at any IRTF
> document needs to show both the IRTF State and the Tags for the state -
> the tags are missing now
> 
> 
> 4. Create an online ballot for the IRSG Poll for IRTF documents. 
> Functions -
>   
> 4a. Create IRSG Poll ballot (IRTF Chair only)

This is basically similar to IESG telechat ballot.

> 4b. Enter ballot position, Yes/No Objection/Not Ready/Recuse - (all IRSG
> members)
> 
> 4c. Enter comments - one kind only, no Discuss - (all IRSG members)
> 
> 4d. Comments and ballot position get emailed to IRTF Chair, IRSG, RG
> Chair of group, document authors, and RG list
> 
>  4e. Mark ballot complete (IRTF Chair only) - not automatic since we
> have a looser definition than IESG's
> 
>  4f. Once ballot is marked complete, IRTF Chair can request conflict
> review. Need to be able to do a datatracker search by IRSG state -
> currently these are not available terms in the State pulldown
> 
> 
> 5. Conflict Review fixes needed:
> 
> 5a. Currently the conflict review request by IRTF Chair does not include
> enough notifications - email to IRTF Chair, IRSG, RG Chairs of group,
> document authors, and RG list
> 
> 5b. Currently a conflict review automatically assigns the document to
> the IETF Chair and sets it into the next telechat agenda.  The IETF
> Chair manually changes both of these, and we need notifications when the
> new AD assignment occurs and when the telechat agenda date is set:  same
> set as line above

---

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 9 Apr 2018 15:33:02 +0200

Hi Alexey, Allison,

Some comments inline as to the functionality.  Scheduling and such is a
matter for the TMC and possibly IAOC, where it's a matter of substantially
new functionality.

>> these are not available terms in the  advanced search State pulldown

Fixed by Mat Ford, will be available in the next release (expected
tomorrow Tuesday April 9th).

>> - these aren't  useful as is (see attached PNG)...

This needs more explanation.  The first of these indicates that the
document is with the RFC Editor, the second that it is with the RG;
In other words, these are very different states.  Collapsing them to
one doesn't seem to make sense.  What is the actual need here?

>> document needs to show both the IRTF State and the Tags for the state -

Ack on this for the search results.  There is limited room in the search
results list; would it be meaningful to replace the intended status with
the tags, to save space?

With respect to showing tags on the individual document pages, they are
shown below the IESG status already, see attached screenshot (from a
development server where I set the 'Waiting for Dependency...' tag on a
document).

>> currently these are not available terms in the State pulldown

Ok, seems clear on first view.  I assume the functionality will parallel
that of the IESG ballots where not otherwise specified.

>> document authors, and RG list

Seems clear enough, and should be straightforward.

>> new AD assignment occurs and when the telechat agenda date is set:  same

Seems clear enough.

Best regards,

	Henrik

---

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 9 Apr 2018 15:34:28 +0200

Small correction:

> tomorrow Tuesday April 9th).

Eh, Tuesday April 10th.

---

From: Allison Mankin <[email-masked]>
Date: Mon, 9 Apr 2018 18:23:00 +0100

Thanks, Alexey.

I believe you and Henrik know that Mat Ford has worked on these a bit and I
believe he has code for 1.

Thanks, Tools Team, in advance!

---

From: Robert Sparks <[email-masked]>
Date: Wed, 11 Apr 2018 14:11:06 -0500

I'm trying to turn these into tickets and am having some difficulty with 
#2 below. I agree that it needs more explanation. The png Alexey sent 
does not demonstrate the "not useful"ness of the results without more 
explanation. That result page is showing the existing states, as all 
search results do. Is it that there aren't enough hints as to where each 
bit of state is coming from? Or something else that's making the result 
not what you want?

RjS

On 4/9/18 8:33 AM, Henrik Levkowetz wrote:
> _______________________________________________
> TOOLS-DEVELOPMENT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tools-development

---

From: Allison Mankin <[email-masked]>
Date: Wed, 11 Apr 2018 15:39:54 -0400

Hi, Robert, Henrik,

Thanks for the feedback.  Also I'm very pleased by the IRTF States search
in Advanced search, so thanks for taking
that in!

> one doesn't seem to make sense.  What is the actual need here?
The IRTF RFC Stream tags are not actually indicators that the document is
with the RFC
Editor, that's the problem.  Here are three documents that all should both
be "Active RG Document" but one is listed
as "IRTF RFC Stream" instead:

draft-irtf-hrpc-anonymity.00.txt -IRTF RFC Stream
draft-irtf-icnrg-mapme-00.txt - IRTF RFC Stream
draft-irtf-icnrg-flic-01.txt - Active RG Document
<https://datatracker.ietf.org/community/personal/[email-masked]/trackdocument/draft-irtf-hrpc-anonymity/>

Possibly RG Chairs have some pilot errors, but I don't know what causes it
to be set.  We have a state
Sent to the RFC Editor which is probably good enough, and I'd reserve the
IRTF RFC Stream for a future use, not
settable by the RG Chairs.

Hopefully this is clear enough for a ticket.  Let me know.

> I'd be fine with Intended status not being there in this search result -
having the tags visible helps with tracking status, and
that is the more pressing need.

Allison

On 11 April 2018 at 15:11, Robert Sparks <[email-masked]> wrote:

> #2 below. I agree that it needs more explanation. The png Alexey sent does
> not demonstrate the "not useful"ness of the results without more
> explanation. That result page is showing the existing states, as all search
> results do. Is it that there aren't enough hints as to where each bit of
> state is coming from? Or something else that's making the result not what
> you want?
>
> RjS
>
> TOOLS-DEVELOPMENT mailing [email-masked]://www.ietf.org/mailman/listinfo/tools-development
>
>
>

---

From: Robert Sparks <[email-masked]>
Date: Wed, 11 Apr 2018 14:55:28 -0500

On 4/11/18 2:39 PM, Allison Mankin wrote:
> Hi, Robert, Henrik,
>
> Thanks for the feedback.  Also I'm very pleased by the IRTF States 
> search in Advanced search, so thanks for taking
> that in!
>
> The IRTF RFC Stream tags are not actually indicators that the document 
> is with the RFC
> Editor, that's the problem.  Here are three documents that all should 
> both be "Active RG Document" but one is listed
The top two documents do not currently have any IRTF state. The search 
results view shows the stream when there's no state to show for the 
stream. The "IRTF RFC Stream" comes from the stream description (I'll 
dig into the code to see exactly where it comes from), not from a state 
in the IRTF state machine.

> Possibly RG Chairs have some pilot errors, but I don't know what 
> causes it to be set.  We have a state
> Sent to the RFC Editor which is probably good enough, and I'd reserve 
> the IRTF RFC Stream for a future use, not
> I'd be fine with Intended status not being there in this search result 
> - having the tags visible helps with tracking status, and
> On 11 April 2018 at 15:11, Robert Sparks <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     I'm trying to turn these into tickets and am having some
>     difficulty with #2 below. I agree that it needs more explanation.
>     The png Alexey sent does not demonstrate the "not useful"ness of
>     the results without more explanation. That result page is showing
>     the existing states, as all search results do. Is it that there
>     aren't enough hints as to where each bit of state is coming from?
>     Or something else that's making the result not what you want?
>
>     RjS
>
>
>>     [email-masked] <mailto:[email-masked]>
>>     <https://www.ietf.org/mailman/listinfo/tools-development>
>
>

---

From: Allison Mankin <[email-masked]>
Date: Wed, 11 Apr 2018 15:59:32 -0400

Heh.  That is interesting.  So I will ask the RG Chairs to put in an Active
RG Document state when they adopt a document, but it would be good to have
No State there until there's a state.

On 11 April 2018 at 15:55, Robert Sparks <[email-masked]> wrote:

> results view shows the stream when there's no state to show for the stream.
> The "IRTF RFC Stream" comes from the stream description (I'll dig into the
> code to see exactly where it comes from), not from a state in the IRTF
> state machine.
>
>
>